﻿using System.Diagnostics;
using System.Web.Script.Serialization;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace SerializationTest
{
    [TestClass]
    public class JavaScriptSerializerTest
    {
        private static T ReadObject<T>(string str)
        {
            var serializer = new JavaScriptSerializer();

            return (T)serializer.Deserialize<T>(str);
        }

        private static string SerializeAndPrintAndDeserialize(object instance)
        {
            var serializer = new JavaScriptSerializer();
            var str = serializer.Serialize(instance);
            Trace.TraceInformation(str);
            var i = serializer.Deserialize(str, instance.GetType());
            Assert.IsNotNull(i);
            Assert.IsInstanceOfType(i, instance.GetType());

            return str;
        }
    }
}
